ChangeSet 1.1722.97.78, 2004/06/17 15:22:14-07:00, david-b@pacbell.net

[PATCH] USB: add support for Buffalo LUA-U2-KTX

Add support for Buffalo's LUA-U2-KTX, which is a AX8817X based usb
ethernet adapter.  I just added the USB id and it worked like a dream.

From:          Neil Bortnak <neil@bortnak.com>
Signed-off-by: David Brownell <dbrownell@users.sourceforge.net>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/net/usbnet.c |    6 ++++++
 1 files changed, 6 insertions(+)


diff -Nru a/drivers/usb/net/usbnet.c b/drivers/usb/net/usbnet.c
--- a/drivers/usb/net/usbnet.c	Fri Jun 18 10:52:39 2004
+++ b/drivers/usb/net/usbnet.c	Fri Jun 18 10:52:39 2004
@@ -104,6 +104,8 @@
  * 		disconnect; other cleanups. (db)  Flush net1080 fifos
  * 		after several sequential framing errors. (Johannes Erdfelt)
  * 22-aug-2003	AX8817X support (Dave Hollis).
+ * 14-jun-2004  Trivial patch for AX8817X based Buffalo LUA-U2-KTX in Japan
+ *		(Neil Bortnak)
  *
  *-------------------------------------------------------------------------*/
 
@@ -3204,6 +3206,10 @@
 }, {
 	// ATEN UC210T
 	USB_DEVICE (0x0557, 0x2009),
+	.driver_info =  (unsigned long) &ax8817x_info,
+}, {
+	// Buffalo LUA-U2-KTX
+	USB_DEVICE (0x0411, 0x003d),
 	.driver_info =  (unsigned long) &ax8817x_info,
 },
 #endif
